Page MenuHomePhabricator

Separate edit summaries when adding comments to a page
Closed, DeclinedPublic

Description

Author: wishyashy

Description:
Currently, when adding a new section to a user or article talk page, the section header automatically becomes the Edit Summary, and there is no option to change that.

Section headers are usually not as long as a good edit summary, nor should they be. The current system contributes to the false belief that a section header is a good enough edit summary. This is seen every minute on Wikipedia -- when people edit a section, the default edit summary that is filled in is usually left alone, leaving other editors to wonder what was changed in that section and why.

I propose that an optional Edit Summary field be placed below the section header. If text is entered there, then that is the edit summary. If not, then the section header will be the edit summary as it is now.

Details

Reference
bz8341

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:30 PM
bzimport set Reference to bz8341.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Dec 21 2006, 3:35 AM

pshinghal wrote:

Hi, I'd like to work on this, but I've never fixed bugs before. Can someone guide me?

(In reply to Tsee from comment #0)

Currently, when adding a new section to a user or article talk page, the
section header automatically becomes the Edit Summary, and there is no
option to change that.

Tsee: I don't think this is correct anymore? I can edit the edit summary.
Or do I misunderstand something?

The new section header field is still the same as the edit summary field as described. What is there not to understand? You can also simple prove them in the HTML-source as the id is the same id="wpSummary".

There is nothing to fix, this is a feature. So I propose to WONTFIX because the new sections edit don't need an extra edit summary.

He7d3r awarded a token.Feb 3 2015, 3:37 PM
He7d3r added a subscriber: He7d3r.
He7d3r updated the task description. (Show Details)Feb 3 2015, 3:39 PM
He7d3r set Security to None.
He7d3r rescinded a token.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2015, 8:57 PM
Krinkle added a subscriber: Krinkle.

Detaching from T28312 as they are orthogonal issues. If I understand correctly, the feature requested in this task is that on the edit form for "New section", there be a separate input field for a custom edit summary (instead of the default edit summary for new sections which is > My heading: added new section.

I do not know the use case of the original reporter or what kind of edit summary they'd like to provide in such cases, but the act of creating a section called X seems adequately summarised by stating "Adding section X".

Given there've been no other reports of this since 2006, I'll close this for now. Ultimately though, it's a product decision. So if you find this and feel the same need, I'd recommend re-opening or filing a new task, providing that use case, and tagging Editing-team.

Krinkle closed this task as Declined.Feb 9 2019, 9:00 PM